Core Resources
SSH Keys
Manage SSH keys for secure, passwordless access to your servers.
List ssh keys
List all ssh keys in the current account
Accepts: application/json
Returns: application/json
Parameters
no parameters
Response
array of KeyReference Type: Key
id
integer
Unique identifier of the key.
example: 101
example: 101
name
string
Descriptive name assigned to the key.
example: production-deploy-key
example: production-deploy-key
public_key
string
Public key content.
example: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFaQhFhW9kzO9Y7u7fQ4x9TXhVhS1eUQhQxF9DJ3yN2 [email protected]
example: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFaQhFhW9kzO9Y7u7fQ4x9TXhVhS1eUQhQxF9DJ3yN2 [email protected]
updated_at
string
Timestamp when the key was last updated.
example: 2025-11-01T14:00:00Z
example: 2025-11-01T14:00:00Z
user_id
integer
Identifier of the user who owns this key.
example: 42
example: 42
account_id
integer
Identifier of the account associated with this key.
example: 5
example: 5
created_at
string
Timestamp when the key was created.
example: 2025-11-01T12:30:00Z
example: 2025-11-01T12:30:00Z
fingerprint
string
Fingerprint of the key, typically generated from the public key.
example: SHA256:QmV+5BHw8uBfsh7zv5yykYJbHq4qY7AbvWzHzOZ2OYo
example: SHA256:QmV+5BHw8uBfsh7zv5yykYJbHq4qY7AbvWzHzOZ2OYo
GET /v1/keys
curl -X GET https://api.serverista.com/v1/keys \
-H "Authorization: ApiKey YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d ''
Response
[
{
"account_id": 123,
"created_at": "example_created_at",
"fingerprint": "example_fingerprint",
"id": 123,
"name": "example_name",
"public_key": "example_public_key",
"updated_at": "example_updated_at",
"user_id": 123
}
]
Create ssh key
Create or import ssh key. With generate type it creates a new key
Accepts: application/json
Returns: application/json
Parameters
Request Bodybody
CreateKeyRequest
Response
object of KeyEnvelopeReference Type: KeyEnvelope
private_key
string
The private key content (only returned once upon key creation).
example: -----BEGIN OPENSSH PRIVATE KEY-----
MIIEvgIBADANBgkq...
-----END OPENSSH PRIVATE KEY-----
example: -----BEGIN OPENSSH PRIVATE KEY-----
MIIEvgIBADANBgkq...
-----END OPENSSH PRIVATE KEY-----
success
boolean
Indicates whether the operation was successful.
example: true
example: true
key
object of Key
POST /v1/keys
curl -X POST https://api.serverista.com/v1/keys \
-H "Authorization: ApiKey YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d ''
Response
{
"key": {
"...": null
},
"private_key": "example_private_key",
"success": true
}
Delete ssh key
Delete ssh key by id
Accepts: application/json
Returns: application/json
Parameters
URL Paramsid
string
Key id
Response
object of GenericResponseReference Type: GenericResponse
message
string
A human-readable message describing the result of the operation.
example: User created successfully.
example: User created successfully.
success
boolean
Indicates whether the operation was successful.
example: true
example: true
DELETE /v1/keys/:id
curl -X DELETE https://api.serverista.com/v1/keys/:id \
-H "Authorization: ApiKey YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d ''
Response
{
"message": "example_message",
"success": true
}
Get ssh key
Get ssh key by id
Accepts: application/json
Returns: application/json
Parameters
URL Paramsid
string
Key id
Response
object of KeyReference Type: Key
account_id
integer
Identifier of the account associated with this key.
example: 5
example: 5
created_at
string
Timestamp when the key was created.
example: 2025-11-01T12:30:00Z
example: 2025-11-01T12:30:00Z
fingerprint
string
Fingerprint of the key, typically generated from the public key.
example: SHA256:QmV+5BHw8uBfsh7zv5yykYJbHq4qY7AbvWzHzOZ2OYo
example: SHA256:QmV+5BHw8uBfsh7zv5yykYJbHq4qY7AbvWzHzOZ2OYo
id
integer
Unique identifier of the key.
example: 101
example: 101
name
string
Descriptive name assigned to the key.
example: production-deploy-key
example: production-deploy-key
public_key
string
Public key content.
example: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFaQhFhW9kzO9Y7u7fQ4x9TXhVhS1eUQhQxF9DJ3yN2 [email protected]
example: ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFaQhFhW9kzO9Y7u7fQ4x9TXhVhS1eUQhQxF9DJ3yN2 [email protected]
updated_at
string
Timestamp when the key was last updated.
example: 2025-11-01T14:00:00Z
example: 2025-11-01T14:00:00Z
user_id
integer
Identifier of the user who owns this key.
example: 42
example: 42
GET /v1/keys/:id
curl -X GET https://api.serverista.com/v1/keys/:id \
-H "Authorization: ApiKey YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d ''
Response
{
"account_id": 123,
"created_at": "example_created_at",
"fingerprint": "example_fingerprint",
"id": 123,
"name": "example_name",
"public_key": "example_public_key",
"updated_at": "example_updated_at",
"user_id": 123
}